Summary:	Clone of across/elma games
Summary(pl.UTF-8):	Klon gry across/elma
Name:		xmoto
Version:	0.5.9
Release:	6
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://download.tuxfamily.org/xmoto/xmoto/%{version}/%{name}-%{version}-src.tar.gz
# Source0-md5:	d8d6b7a405139530650b8a9ae2ea6df3
Source1:	%{name}.png
Source2:	%{name}.desktop
Patch0:		%{name}-lua51.patch
Patch1:		%{name}-includes.patch
URL:		http://xmoto.sourceforge.net/
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_net-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel
BuildRequires:	gettext-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtool
BuildRequires:	libxdg-basedir-devel >= 1.1.1-2
BuildRequires:	lua51-devel
BuildRequires:	ode-devel >= 1:0.11
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X-Moto is a challenging 2D motocross platform game, where physics play
an all important role in the gameplay. You need to control your bike
to its limit, if you want to have a chance finishing the more
difficult of the challenges.

First you'll try just to complete the levels, while later you'll
compete with yourself and others, racing against the clock.

%description -l pl.UTF-8
X-Moto jest wyzywającą motocrossową dwuwymiarową grą platformową,
gdzie fizyka ma w rozgrywce główną rolę. Panowanie nad motorem musi
być jak najbardziej wyżyłowane, jeżeli chce się myśleć o ukończeniu
trudniejszych poziomów.

Z początku po prostu zalicza się poziomy, później walczy się z
wynikami, swoimi i innych, w wyścigu z czasem.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# fix some translations
%{__sed} -i -e 's/lv_LV/lv/g;s/da_DK/da/g;s/gl_ES/gl/g;s/pt_PT/pt/g;s/tr_TR/tr/g' configure.in
mv -f po/lv{_LV,}.po
mv -f po/da{_DK,}.po
mv -f po/gl{_ES,}.po
mv -f po/pt{_PT,}.po
mv -f po/tr{_TR,}.po

# don't run svnversion
touch src/svnVersion

%build
%{__libtoolize}
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/ca{_ES,}
# identical to ca_ES
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ca_{AD,FR,IT}*
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/cs{_CZ,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/de{_DE,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/es{_ES,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/fi{_FI,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/fr{_FR,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/hu{_HU,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/it{_IT,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/lt{_LT,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nb{_NO,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nl{_NL,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/nn{_NO,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/pl{_PL,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/ru{_RU,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sk{_SK,}
mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sv{_SE,}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/xmoto
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_mandir}/man6/xmoto.*
%changelog
* Sat Nov 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmoto.git;a=log;h=master

* Sat Nov 16 2013 Jan Rękorajski <baggins@pld-linux.org> cbe1d64
- release 6 (by relup.sh)

* Sun Nov 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 00c68e5
- rel 5; build fixed

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a5287dd
- release 4 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e4d4f2c
- release 3 (by relup.sh)

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 9707a73
- no longer needed

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 4efe53e
- fix build against libpng1.5; release 2

* Wed Feb 08 2012 Adam Gołębiowski <adamg@pld-linux.org> 056f401
- new (zlib.h no longer included by libpng)

* Fri Feb 03 2012 lisu <lisu@pld-linux.org> 0dcd94f
- up to 0.5.9

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 95cc5a2
- release 2

* Thu Apr 28 2011 lisu <lisu@pld-linux.org> 422ecf3
- updated to 0.5.7
- versioned libxdg-basedir BR

* Tue Feb 15 2011 lisu <lisu@pld-linux.org> 63bb70a
- up to 0.5.5

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> 0d7c50b
- gl_ES -> gl
- rel 2

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> fcf70e3
- builds on 64 bits

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> c8ad352
- up to 0.5.4
- cosmetics

* Tue May 04 2010 lisu <lisu@pld-linux.org> eff5f1c
- proper comment

* Tue May 04 2010 lisu <lisu@pld-linux.org> 7f32126
- obsoleted

* Tue May 04 2010 lisu <lisu@pld-linux.org> 5631f63
- updated to 0.5.3
- add missing BRs: libxdg-basedir-devel, sed
- builds with ode >= 1:0.11
- gcc.patch applied upstream

* Tue Feb 16 2010 ankry <ankry@pld-linux.org> fb869a1
- no longer no in sources

* Fri Jan 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 832d752
- rel 4; x86_64 build fix

* Thu Jan 28 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f85e01
- rel 3; libpng fix

